Index: LMDZ6/trunk/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/isotopes_routines_mod.F90	(revision 4124)
+++ LMDZ6/trunk/libf/phylmdiso/isotopes_routines_mod.F90	(revision 4143)
@@ -3,4 +3,5 @@
 
 MODULE isotopes_routines_mod
+  USE infotrac_phy, ONLY: niso, ntraciso=>ntiso, index_trac=>itZonIso, ntraceurs_zone=>nzone
 IMPLICIT NONE
 
@@ -13,6 +14,4 @@
 &            zqs,zq_ancien,zqev_diag,zq)
 
-USE infotrac_phy, ONLY: ntraciso,niso, &
-        ntraceurs_zone,index_trac
 USE isotopes_mod, ONLY: ridicule, ridicule_rain, thumxt1, no_pce,  &
 &       bidouille_anti_divergence, &
@@ -846,5 +845,4 @@
 &    L, xtnu,Pveg)
 
-USE infotrac_phy, ONLY: niso
 USE isotopes_mod, ONLY: ridicule_qsol, ridicule, &
 &       ridicule_evap,P_veg,iso_HDO,iso_eau,iso_O17,iso_O18
@@ -1301,5 +1299,4 @@
 
 subroutine calcul_kcin(Vsurf,KCIN)
-USE infotrac_phy, ONLY: niso 
 USE isotopes_mod, ONLY: tv0cin,tkcin0,tkcin1,tkcin2
 implicit none
@@ -1328,5 +1325,4 @@
 
      subroutine fractcalk(kt, ptin, pxtfra, pfraice)
-!USE infotrac_phy, ONLY: use_iso
 USE isotopes_mod, ONLY: talph1,talph2,talph3,pxtmin,iso_O17, &
 &       fac_coeff_eq17_liq, pxtmelt, &
@@ -1457,5 +1453,4 @@
       subroutine fractcalk_liq(kt, ptin, pxtfra)
 
-!      USE infotrac_phy, ONLY: use_iso
       USE isotopes_mod, ONLY: pxtmin,talph1,talph2,talph3, &
 &       fac_coeff_eq17_liq, pxtice, &
@@ -1522,5 +1517,4 @@
       subroutine fractcalk_glace(kt, ptin, pfraice)
 
-!      use infotrac_phy, ONLY: use_iso
       use isotopes_mod, ONLY: talps1,talps2, iso_O17,fac_coeff_eq17_ice, &
         & pxtmelt,musi, lambda_sursat, tdifrel, &
@@ -1631,5 +1625,4 @@
       subroutine fractcalk_vectall(ptin, pxtfra, pfraice,n)
 
-        USE infotrac_phy, ONLY: niso
         USE isotopes_mod, ONLY: talph1,talph2,talph3,tdifrel,pxtmin, &
 &      iso_O17, iso_HTO, iso_eau, iso_O18, iso_HDO, musi, lambda_sursat, &
@@ -1803,5 +1796,4 @@
       subroutine fractcalk_vectall_liq(ptin, pxtfra, n)
 
-      USE infotrac_phy, ONLY: niso
       USE isotopes_mod, ONLY: pxtmin,talph1,talph2,talph3, &
 &       iso_eau,iso_HDO, iso_O18, iso_O17,iso_HTO,fac_coeff_eq17_liq, &
@@ -1882,5 +1874,4 @@
       subroutine fractcalk_vectall_ice(ptin, pfraice,n)
 
-      use infotrac_phy, ONLY: niso
       use isotopes_mod, ONLY: talps1,talps2, fac_coeff_eq17_ice, &
         & pxtmelt,musi, lambda_sursat, tdifrel, &
@@ -2023,5 +2014,4 @@
 &            i,Rsol,klon)
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO,ridicule, &
 &        ridicule_qsol,iso_O17,iso_O18
@@ -2233,5 +2223,4 @@
 &          i,xtevap,klon)  
 
-  USE infotrac_phy, ONLY: ntraciso,niso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO,ridicule,ridicule_rain, &
         iso_O18,iso_O17
@@ -2444,5 +2433,4 @@
 &   )
 
-  USE infotrac_phy, ONLY: ntraciso,niso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO,expb_max,tdifrel,tdifexp, &
 &       ridicule,thumxt1,ridicule_rain,bidouille_anti_divergence, &
@@ -4500,5 +4488,4 @@
 &           Tevap) 
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO,bidouille_anti_divergence, &
 &       ridicule,ridicule_rain
@@ -4658,5 +4645,4 @@
 &           ,fac_ftmr)
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO,bidouille_anti_divergence, &
 &       Rdefault,ridicule,ridicule_rain
@@ -4904,5 +4890,4 @@
      &           Pqiinf_cas,Pqiinf)
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO
 
@@ -5066,5 +5051,4 @@
      &           xtnew_cas,xtnew,Pxtiinf_cas,Pxtiinf)
 
-  USE infotrac_phy, ONLY: niso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO
 #ifdef ISOVERIF
@@ -5111,5 +5095,4 @@
      &           ncum)
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO
 
@@ -5176,5 +5159,4 @@
      &    nloc,ncum,nd,i)
 
-  USE infotrac_phy, ONLY: niso, ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO
 
@@ -5252,5 +5234,4 @@
      &    nloc,ncum,nd,i)
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO
 
@@ -5326,5 +5307,4 @@
      &    nloc,ncum,nd,i)
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO
 
@@ -5396,5 +5376,4 @@
      &    nloc,ncum,nd,i)
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO,ridicule
 
@@ -5566,5 +5545,4 @@
      &    nloc,ncum,nd,i,frac_sublim)
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO,ridicule
 
@@ -5703,5 +5681,4 @@
      &       zxtrfln_cas,zxt_cas,zxtrfl,zxtrfln,zxt,klon)
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO
 
@@ -5739,5 +5716,4 @@
      &       delP,paprs,k,klon,klev)
 
-  USE infotrac_phy, ONLY: niso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO
          implicit none
@@ -5777,5 +5753,4 @@
      &       delP,paprs,k,klon,klev)
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO
          implicit none
@@ -5828,5 +5803,4 @@
      &       delP,paprs,k,klon,klev,frac_sublim)
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO
 #ifdef ISOVERIF
@@ -5905,5 +5879,4 @@
      &          qp0,A,m0,beta,gama,g0)  
 
-  USE infotrac_phy, ONLY: niso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO,ntot
 #ifdef ISOVERIF
@@ -6100,6 +6073,4 @@
  
 
-  USE infotrac_phy, ONLY: ntraciso,niso,ntraceurs_zone, &
-&       index_trac
   USE isotopes_mod, ONLY: iso_eau, iso_HDO,thumxt1, &
 &       bidouille_anti_divergence,ridicule
@@ -7680,5 +7651,4 @@
      &          )    
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO, Rdefault, ridicule
 #ifdef ISOVERIF
@@ -8048,5 +8018,4 @@
      &  ) 
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO, Rdefault,ridicule
 #ifdef ISOVERIF
@@ -8253,5 +8222,4 @@
      &          ) 
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO, Rdefault,ridicule
 #ifdef ISOVERIF
@@ -8390,5 +8358,4 @@
      &          ,xtp_cas,xtwater_cas,xtevap_cas) 
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO,no_pce, Rdefault,ridicule       
 #ifdef ISOVERIF
@@ -8927,5 +8894,4 @@
      &          ,xtp_cas,xtwater_cas,xtevap_cas) 
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO, Rdefault, ridicule
 #ifdef ISOVERIF
@@ -9317,6 +9283,4 @@
  
 
-  USE infotrac_phy, ONLY: niso,ntraciso, &
-&       ntraceurs_zone,index_trac
   USE isotopes_mod, ONLY: iso_eau, iso_HDO,bidouille_anti_divergence, &
 &       thumxt1, ridicule
@@ -11022,5 +10986,4 @@
      &          ) 
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO,Rdefault,ridicule
 #ifdef ISOVERIF
@@ -11172,5 +11135,4 @@
      &          ,xtp_cas,xtwater_cas,xtevap_cas) 
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO,Rdefault,no_pce,ridicule
 #ifdef ISOVERIF
@@ -11770,5 +11732,4 @@
      &          ,xtp_cas,xtwater_cas,xtevap_cas) 
 
-  USE infotrac_phy, ONLY: niso,ntraciso
   USE isotopes_mod, ONLY: iso_eau, iso_HDO, Rdefault, ridicule
 #ifdef ISOVERIF
@@ -12198,5 +12159,4 @@
      &          tcond,zfice,zxtice,zxtliq)
 
-    USE infotrac_phy, ONLY: ntraciso,niso
     USE isotopes_mod, ONLY: iso_eau,iso_HDO,essai_convergence, &
 &       bidouille_anti_divergence,ridicule
@@ -12432,5 +12392,4 @@
      &          tcond,zfice,zxtice,zxtliq,n)
 
-    USE infotrac_phy, ONLY: ntraciso,niso
     USE isotopes_mod, ONLY: iso_eau,iso_HDO,iso_O18,bidouille_anti_divergence, &
 &       ridicule
@@ -12890,5 +12849,4 @@
      &          tcond,zfice,zxtice,zxtliq)
 
-    USE infotrac_phy, ONLY: ntraciso
     USE isotopes_mod, ONLY: iso_eau,iso_HDO,bidouille_anti_divergence, &
 &       ridicule,iso_O18
@@ -13088,5 +13046,4 @@
      &           xt1lay,q1lay,tsurf,t_coup,nisurf,Rland_ice)
 
-    USE infotrac_phy, ONLY: ntraciso,niso
     USE isotopes_mod, ONLY: Rdefault,iso_eau,iso_HDO, &
 &       bidouille_anti_divergence, ridicule,ridicule_snow, &
@@ -13658,5 +13615,4 @@
      &   )
 
-    USE infotrac_phy, ONLY: ntraciso,niso
     USE isotopes_mod, ONLY: iso_eau,iso_HDO,cste_surf_cond, &
 &       rh_cste_surf_cond,Rdefault,T_cste_surf_cond,iso_O17,iso_O18, &
@@ -13982,5 +13938,4 @@
      &   )
 
-    USE infotrac_phy, ONLY: ntraciso,niso
     USE isotopes_mod, ONLY: tcorr, toce, alpha_liq_sol,ridicule_evap, &
         iso_eau,iso_HDO
@@ -14238,5 +14193,4 @@
      &   )
 
-    USE infotrac_phy, ONLY: ntraciso,niso
     USE isotopes_mod, ONLY: h_land_ice, ridicule,ridicule_snow,ridicule_evap, &
         iso_eau,iso_HDO,iso_O18
@@ -14573,5 +14527,4 @@
      &   )
 
-USE infotrac_phy, ONLY: niso,ntraciso
 USE isotopes_mod, ONLY: tdifrel,tdifexp_sol, iso_eau, iso_HDO, &
 &       bidouille_anti_divergence,ruissellement_pluie, Rdefault,Kd, &
@@ -16001,5 +15954,4 @@
       !USE write_field_phy
       USE indice_sol_mod, only: nbsrf  
-  USE infotrac_phy, ONLY: ntraciso,niso
   USE isotopes_mod, ONLY: initialisation_iso, iso_eau,iso_HDO, &
         ridicule_qsol,tnat, P_veg,iso_O18,ridicule, ridicule_snow,iso_O17, &
@@ -16187,5 +16139,4 @@
       !USE write_field_phy
       USE indice_sol_mod, only: nbsrf
-  USE infotrac_phy, ONLY: ntraciso,niso
   USE isotopes_mod, ONLY: tnat,iso_HDO,iso_O18,iso_HTO, iso_eau,toce, &
 &       Rdefault,iso_O17,ridicule,ridicule_qsol
@@ -16574,5 +16525,4 @@
       !USE write_field_phy
       USE indice_sol_mod, only: nbsrf  
-  USE infotrac_phy, ONLY: ntraciso,niso
   USE isotopes_mod, ONLY: striso,iso_HDO,iso_eau
 #ifdef ISOVERIF
@@ -16849,5 +16799,4 @@
      &           d_xt_decroiss, &
      &           xt_seri)
-        USE infotrac_phy, only: ntraciso
         USE isotopes_mod, only: iso_HTO,ok_prod_nucl_tritium
         USE dimphy, only: klon,klev
@@ -18371,5 +18320,4 @@
 !     &                         prod_nucl_HTO)
 
-        USE infotrac_phy, only: ntraciso
         use isotopes_mod, only: nessai, lat_nucl, lon_nucl, &
 &               zmin_nucl, zmax_nucl, HTO_nucl
@@ -18593,5 +18541,4 @@
      &                                paprs, &
      &                                prod_nucl)
-        USE infotrac_phy, only: ntraciso
         USE isotopes_mod, ONLY: iso_HTO
         use geometry_mod, only: cell_area
@@ -18739,5 +18686,4 @@
      &           tcond,zfice,zxtice,zxtliq)
 
-    USE infotrac_phy, ONLY: ntraciso,niso,index_trac,ntraceurs_zone
     USE isotopes_mod, ONLY: iso_eau,iso_HDO,essai_convergence, &
 &       bidouille_anti_divergence,ridicule
@@ -18869,5 +18815,4 @@
      &           tcond,zfice,zxtice,zxtliq,n)
 
-    USE infotrac_phy, ONLY: ntraciso,niso,index_trac,ntraceurs_zone
     USE isotopes_mod, ONLY: iso_eau,iso_HDO,iso_O18,bidouille_anti_divergence, &
 &       ridicule
Index: LMDZ6/trunk/libf/phylmdiso/isotopes_verif_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/isotopes_verif_mod.F90	(revision 4124)
+++ LMDZ6/trunk/libf/phylmdiso/isotopes_verif_mod.F90	(revision 4143)
@@ -5,7 +5,8 @@
 MODULE isotopes_verif_mod
 !use isotopes_mod, ONLY: 
-!#ifdef ISOTRAC
-!use isotrac_mod, ONLY: 
-!#endif
+#ifdef ISOTRAC
+   USE isotrac_mod, ONLY: nzone
+#endif
+USE infotrac_phy, ONLY: ntraciso=>ntiso, niso, itZonIso
 implicit none
 save
@@ -93,5 +94,4 @@
         SUBROUTINE iso_verif_init()
         use ioipsl_getin_p_mod, ONLY : getin_p
-        !USE infotrac_phy, ONLY: use_iso
         use isotopes_mod, ONLY: iso_O17, iso_O18, iso_HDO
         implicit none
@@ -196,5 +196,4 @@
 
         subroutine iso_verif_aberrant(R,err_msg)
-        !USE infotrac_phy, ONLY: use_iso
         use isotopes_mod, ONLY: ridicule, iso_HDO
         implicit none
@@ -227,5 +226,4 @@
 
         subroutine iso_verif_aberrant_encadre(R,err_msg)
-        !use infotrac_phy, ONLY: use_iso
         use isotopes_mod, ONLY: ridicule, iso_HDO
         implicit none
@@ -263,5 +261,4 @@
 
         subroutine iso_verif_aberrant_choix(xt,q,qmin,deltaDmax,err_msg)
-        !use infotrac_phy, ONLY: use_iso
         use isotopes_mod, ONLY: iso_HDO
         implicit none
@@ -298,5 +295,4 @@
 
         function iso_verif_aberrant_nostop(R,err_msg)
-        !use infotrac_phy, ONLY: use_iso
         use isotopes_mod, ONLY: ridicule,iso_HDO
         implicit none
@@ -330,5 +326,4 @@
 
         function iso_verif_aberrant_enc_nostop(R,err_msg)
-        !use infotrac_phy, ONLY: use_iso
         use isotopes_mod, ONLY: ridicule,iso_HDO
         implicit none
@@ -366,5 +361,4 @@
      &            qmin,deltaDmax,err_msg)
 
-        !use infotrac_phy, ONLY: use_iso
         use isotopes_mod, ONLY: iso_HDO
         implicit none
@@ -428,5 +422,4 @@
         function iso_verif_aberrant_enc_choix_nostop(xt,q,   &
      &            qmin,deltaDmax,err_msg)
-        !use infotrac_phy, ONLY: use_iso
         use isotopes_mod, ONLY: iso_HDO
         implicit none
@@ -1065,5 +1058,4 @@
         ! **********
         function deltaD(R)
-        !use infotrac_phy, ONLY: use_iso
         USE isotopes_mod, ONLY: tnat,iso_HDO
         implicit none
@@ -1082,5 +1074,4 @@
         ! **********
         function deltaO(R)
-        !use infotrac_phy, ONLY: use_iso
         USE isotopes_mod, ONLY: tnat,iso_O18
         implicit none
@@ -1098,5 +1089,4 @@
         ! **********
         function dexcess(RD,RO)
-        !use infotrac_phy, ONLY: use_iso
         USE isotopes_mod, ONLY: tnat,iso_O18,iso_HDO
         implicit none
@@ -1138,5 +1128,4 @@
          ! **********
         function o17excess(R17,R18)
-        !use infotrac_phy, ONLY: use_iso
         USE isotopes_mod, ONLY: tnat,iso_O18,iso_O17
         implicit none
@@ -1160,5 +1149,4 @@
      &           xt,q,err_msg,ni,n,m)
         
-        !use infotrac_phy, ONLY: use_iso
         USE isotopes_mod, ONLY: iso_eau
           implicit none
@@ -1212,5 +1200,4 @@
      &           xt,q,err_msg,ni,n)
 
-        !use infotrac_phy, ONLY: use_iso
         USE isotopes_mod, ONLY: iso_eau
         implicit none
@@ -1296,5 +1283,4 @@
         subroutine iso_verif_aberrant_vect2D( &
      &           xt,q,err_msg,ni,n,m)
-        !use infotrac_phy, ONLY: use_iso
         use isotopes_mod, ONLY: ridicule,tnat,iso_HDO
           implicit none
@@ -1345,5 +1331,4 @@
      &           xt,q,err_msg,ni,n,m)
 
-        !use infotrac_phy, ONLY: use_iso
         use isotopes_mod, ONLY: ridicule,tnat,iso_HDO
           implicit none
@@ -1399,5 +1384,4 @@
      &           xt,q,err_msg,ni,n,m)
 
-        !use infotrac_phy, ONLY: use_iso
         use isotopes_mod, ONLY: ridicule,tnat,iso_HDO
           implicit none
@@ -1450,5 +1434,4 @@
      &           xt,q,err_msg,ni,n,m,deltaDmax)
 
-        !use infotrac_phy, ONLY: use_iso
         use isotopes_mod, ONLY: ridicule,tnat,iso_HDO
           implicit none
@@ -1501,5 +1484,4 @@
      &           xt,q,err_msg,ni,n,m)
 
-        !use infotrac_phy, ONLY: use_iso
         use isotopes_mod, ONLY: ridicule,tnat,iso_HDO,iso_O18
           implicit none
@@ -1766,5 +1748,4 @@
      &           xt,q,err_msg,ni,n,m,ib,ie)
 
-        !use infotrac_phy, ONLY: use_iso
         use isotopes_mod, ONLY: ridicule,tnat,iso_HDO
           implicit none
@@ -1817,5 +1798,4 @@
      &           xt,q,err_msg,ni,n,m,ib,ie)
         
-        !use infotrac_phy, ONLY: use_iso
         USE isotopes_mod, ONLY: iso_eau
           implicit none
@@ -1863,5 +1843,4 @@
       function iso_verif_traceur_choix_nostop(x,err_msg, &
      &       errmax,errmaxrel,ridicule_trac,deltalimtrac)
-        USE infotrac_phy, ONLY: ntraciso
         use isotopes_mod, ONLY: iso_HDO
         implicit none
@@ -1915,5 +1894,4 @@
         function iso_verif_tracnps_choix_nostop(x,err_msg, &
      &       errmax,errmaxrel,ridicule_trac,deltalimtrac)
-        USE infotrac_phy, ONLY: ntraciso
         USE isotopes_mod, ONLY: iso_HDO
         implicit none
@@ -1961,5 +1939,4 @@
 
         function iso_verif_tracpos_choix_nostop(x,err_msg,seuil)
-        use infotrac_phy, ONLY: ntraciso,niso
         use isotrac_mod, only: index_iso,strtrac,index_zone
         use isotopes_mod, only: striso
@@ -1994,5 +1971,4 @@
 
         function iso_verif_traceur_noNaN_nostop(x,err_msg)
-        use infotrac_phy, ONLY: ntraciso,niso
         use isotrac_mod, only: index_iso
         use isotopes_mod, only: striso
@@ -2029,7 +2005,5 @@
      &           errmaxin,errmaxrelin)
 
-        use infotrac_phy, ONLY: index_trac,ntraciso,niso
         use isotopes_mod, ONLY: ridicule,striso
-        use isotrac_mod, only: ntraceurs_zone
         ! on vérifie juste bilan de masse
         implicit none
@@ -2053,8 +2027,8 @@
 
           xtractot=0.0
-          do izone=1,ntraceurs_zone  
-            ixt=index_trac(izone,iiso) 
+          do izone=1,nzone  
+            ixt=itZonIso(izone,iiso) 
             xtractot=xtractot+x(ixt)
-          enddo !do izone=1,ntraceurs_zone
+          enddo
 
           if (iso_verif_egalite_choix_nostop(xtractot,x(iiso), &
@@ -2082,7 +2056,6 @@
      &           ridicule_trac,deltalimtrac)
 
-        use infotrac_phy, ONLY: index_trac,ntraciso
         USE isotopes_mod, ONLY: iso_eau, iso_HDO
-        use isotrac_mod, only: strtrac,ntraceurs_zone
+        use isotrac_mod, only: strtrac
         ! on vérifie juste deltaD
         implicit none
@@ -2103,7 +2076,7 @@
 
         if ((iso_eau.gt.0).and.(iso_HDO.gt.0)) then
-        do izone=1,ntraceurs_zone
-             ieau=index_trac(izone,iso_eau)
-             ixt=index_trac(izone,iso_HDO)
+        do izone=1,nzone
+             ieau=itZonIso(izone,iso_eau)
+             ixt=itZonIso(izone,iso_HDO)
 
              if (iso_verif_aberrant_choix_nostop(x(ixt),x(ieau), &
@@ -2118,5 +2091,5 @@
 !     :           //strtrac(izone))
 !             endif
-        enddo !do izone=1,ntraceurs_zone
+        enddo !do izone=1,nzone
        endif ! if ((iso_eau.gt.0).and.(iso_HDO.gt.0)) then
 
@@ -2124,5 +2097,4 @@
 
 INTEGER FUNCTION iso_verif_tag17_q_deltaD_chns(x,err_msg) RESULT(res)
-  USE infotrac_phy, ONLY: index_trac, ntraciso
   USE isotopes_mod, ONLY: iso_HDO, iso_eau, ridicule
   USE isotrac_mod,  ONLY: nzone_temp, option_traceurs
@@ -2135,6 +2107,6 @@
   !--- Check whether * deltaD(highest tagging layer) < 200 permil
   !                  * q <
-  ieau=index_trac(nzone_temp,iso_eau)
-  ixt=index_trac(nzone_temp,iso_HDO)
+  ieau=itZonIso(nzone_temp,iso_eau)
+  ixt=itZonIso(nzone_temp,iso_HDO)
   IF(x(ieau)>ridicule) THEN
     IF(iso_verif_positif_nostop(-200.0-deltaD(x(ixt)/x(ieau)), err_msg//': deltaDt05 trop fort')==1) THEN
@@ -2147,5 +2119,5 @@
   !--- Check whether q is small ; then, qt01 < 10%
   IF(x(iso_eau)<2.0e-3) THEN
-    ieau1= index_trac(1,iso_eau)
+    ieau1= itZonIso(1,iso_eau)
     IF(iso_verif_positif_nostop(0.1-(x(ieau1)/x(iso_eau)),err_msg//': qt01 trop abondant')==1) THEN
       res=1; write(*,*) 'x=',x
@@ -2156,5 +2128,4 @@
 SUBROUTINE iso_verif_trac17_q_deltaD(x,err_msg)
   USE isotrac_mod,  ONLY: nzone_temp, option_traceurs
-  USE infotrac_phy, ONLY: ntraciso
   IMPLICIT NONE
   REAL,             INTENT(IN) :: x(ntraciso)
@@ -2167,5 +2138,4 @@
 
       subroutine iso_verif_traceur(x,err_msg)
-        USE infotrac_phy, ONLY: ntraciso
         use isotrac_mod, only: ridicule_trac
         implicit none
@@ -2195,5 +2165,4 @@
       subroutine iso_verif_traceur_retourne3D(x,n1,n2,n3, &
      &           i1,i2,i3,err_msg)
-        USE infotrac_phy, ONLY: ntraciso
         use isotrac_mod, only: ridicule_trac
 
@@ -2228,5 +2197,4 @@
         subroutine iso_verif_traceur_retourne4D(x,n1,n2,n3,n4, &
      &           i1,i2,i3,i4,err_msg)
-        USE infotrac_phy, ONLY: ntraciso
         use isotrac_mod, only: ridicule_trac
 
@@ -2262,5 +2230,4 @@
       subroutine iso_verif_traceur_retourne2D(x,n1,n2, &
      &           i1,i2,err_msg)
-        USE infotrac_phy, ONLY: ntraciso
         use isotrac_mod, only: ridicule_trac
         implicit none
@@ -2293,5 +2260,4 @@
 
         subroutine iso_verif_traceur_vect(x,n,m,err_msg)
-        USE infotrac_phy, ONLY: ntraciso
         USE isotopes_mod, ONLY: iso_HDO
         implicit none
@@ -2329,5 +2295,4 @@
 
         subroutine iso_verif_tracnps_vect(x,n,m,err_msg)
-        USE infotrac_phy, ONLY: ntraciso
         USE isotopes_mod, ONLY: iso_HDO
         implicit none
@@ -2363,5 +2328,4 @@
 
         subroutine iso_verif_traceur_noNaN_vect(x,n,m,err_msg)
-        USE infotrac_phy, ONLY: ntraciso,niso
         implicit none
        
@@ -2407,7 +2371,5 @@
         subroutine iso_verif_trac_masse_vect(x,n,m,err_msg, &
      &            errmax,errmaxrel)
-        USE infotrac_phy, ONLY: index_trac,ntraciso,niso
         use isotopes_mod, only: striso
-        use isotrac_mod, only: ntraceurs_zone
         implicit none
        
@@ -2430,8 +2392,8 @@
           xtractot(i,j)=0.0
           xiiso(i,j)=x(iiso,i,j)
-          do izone=1,ntraceurs_zone  
-            ixt=index_trac(izone,iiso) 
+          do izone=1,nzone
+            ixt=itZonIso(izone,iiso) 
             xtractot(i,j)=xtractot(i,j)+x(ixt,i,j)            
-          enddo !do izone=1,ntraceurs_zone
+          enddo !do izone=1,nzone
          enddo !do i=1,n
         enddo !do j=1,m
@@ -2447,7 +2409,6 @@
 
         subroutine iso_verif_tracdd_vect(x,n,m,err_msg) 
-        use infotrac_phy, only: index_trac,ntraciso,niso
         use isotopes_mod, only: iso_HDO,iso_eau
-        use isotrac_mod, only: strtrac,ntraceurs_zone
+        use isotrac_mod, only: strtrac
         implicit none
        
@@ -2464,8 +2425,8 @@
 
        if (iso_HDO.gt.0) then
-        do izone=1,ntraceurs_zone
-          ieau=index_trac(izone,iso_eau)
+        do izone=1,nzone
+          ieau=itZonIso(izone,iso_eau)
           do iiso=1,niso
-           ixt=index_trac(izone,iiso)
+           ixt=itZonIso(izone,iiso)
            do j=1,m
             do i=1,n
@@ -2484,5 +2445,5 @@
      &           xiiso,xeau,err_msg//strtrac(izone),niso,n,m, &
      &           deltalimtrac)
-         enddo !do izone=1,ntraceurs_zone
+         enddo !do izone=1,nzone
         endif !if (iso_HDO.gt.0) then
 
@@ -2490,5 +2451,4 @@
 
         subroutine iso_verif_tracpos_vect(x,n,m,err_msg,seuil) 
-        USE infotrac_phy, ONLY: ntraciso,niso
         implicit none
 
@@ -2532,5 +2492,4 @@
 
         subroutine iso_verif_tracnps(x,err_msg)
-        USE infotrac_phy, ONLY: ntraciso
         use isotrac_mod, only: ridicule_trac
 
@@ -2559,5 +2518,4 @@
 
         subroutine iso_verif_tracpos_choix(x,err_msg,seuil)
-        USE infotrac_phy, ONLY: ntraciso
         implicit none
         ! vérifier des choses sur les traceurs
@@ -2585,5 +2543,4 @@
         subroutine iso_verif_traceur_choix(x,err_msg, &
      &       errmax,errmaxrel,ridicule_trac_loc,deltalimtrac)
-        USE infotrac_phy, ONLY: ntraciso
         implicit none
         ! vérifier des choses sur les traceurs
@@ -2608,5 +2565,4 @@
 
         function iso_verif_traceur_nostop(x,err_msg)
-        USE infotrac_phy, ONLY: ntraciso
         use isotrac_mod, only: ridicule_trac
         !use isotopes_verif, only: errmax,errmaxrel,deltalimtrac
@@ -2637,5 +2593,4 @@
 
       subroutine iso_verif_traceur_justmass(x,err_msg)
-        USE infotrac_phy, ONLY: ntraciso
         implicit none
         ! on vérifie que noNaN et masse
@@ -2666,5 +2621,4 @@
 
         function iso_verif_traceur_jm_nostop(x,err_msg)
-        USE infotrac_phy, ONLY: ntraciso
         implicit none
         ! on vérifie que noNaN et masse
@@ -2699,5 +2653,4 @@
 
         subroutine iso_verif_tag17_q_deltaD_vect(x,n,m,err_msg)
-        USE infotrac_phy, ONLY: index_trac,ntraciso
         USE isotopes_mod, ONLY: tnat,iso_eau, ridicule,iso_HDO
         use isotrac_mod, only: option_traceurs,nzone_temp
@@ -2719,7 +2672,7 @@
         ! verifier que deltaD du tag de la couche la plus haute <
         ! 200 permil, et vérifier que son q est inférieur à 
-        ieau=index_trac(nzone_temp,iso_eau)
-        ixt=index_trac(nzone_temp,iso_HDO)
-        ieau1=index_trac(1,iso_eau)
+        ieau=itZonIso(nzone_temp,iso_eau)
+        ixt=itZonIso(nzone_temp,iso_HDO)
+        ieau1=itZonIso(1,iso_eau)
         do i=1,n
          do k=1,m
@@ -2759,5 +2712,4 @@
 
         subroutine iso_verif_tag17_q_deltaD_vect_ret3D(x,n,m,nq,err_msg)
-        USE infotrac_phy, ONLY: index_trac,ntraciso
         USE isotopes_mod, ONLY: tnat,iso_eau,iso_HDO,ridicule
         use isotrac_mod, only: option_traceurs,nzone_temp
@@ -2779,7 +2731,7 @@
         ! verifier que deltaD du tag de la couche la plus haute <
         ! 200 permil, et vérifier que son q est inférieur à 
-        ieau=index_trac(nzone_temp,iso_eau)
-        ixt=index_trac(nzone_temp,iso_HDO)
-        ieau1=index_trac(1,iso_eau)
+        ieau=itZonIso(nzone_temp,iso_eau)
+        ixt=itZonIso(nzone_temp,iso_HDO)
+        ieau1=itZonIso(1,iso_eau)
         do iq=1,nq
         do i=1,n
Index: LMDZ6/trunk/libf/phylmdiso/isotrac_mod.F90
===================================================================
--- LMDZ6/trunk/libf/phylmdiso/isotrac_mod.F90	(revision 4124)
+++ LMDZ6/trunk/libf/phylmdiso/isotrac_mod.F90	(revision 4143)
@@ -4,5 +4,5 @@
 
 MODULE isotrac_mod
-use infotrac_phy, ONLY: niso,ntraciso,ntraceurs_zone
+use infotrac_phy, ONLY: niso,ntiso,ntraceurs_zone=>nzone
 use isotopes_mod, only: ridicule
 
@@ -120,13 +120,10 @@
         ! ces variables sont initialisées dans traceurs_init
         
-!integer ntraciso
-!parameter (ntraciso=(ntraceurs_zone+1)*niso) 
-!integer ntracisoOR ! défini dans traceurs_init
 integer, ALLOCATABLE, DIMENSION(:), save :: index_iso
 !$OMP THREADPRIVATE(index_iso)
 integer, ALLOCATABLE, DIMENSION(:), save ::  index_zone
 !$OMP THREADPRIVATE(index_zone)
-integer, ALLOCATABLE, DIMENSION(:,:), save ::  index_trac_loc ! il y a déjà un index_trac dans infotrac: vérifier que c'est le même
-!$OMP THREADPRIVATE(index_trac_loc)
+integer, ALLOCATABLE, DIMENSION(:,:), save ::  itZonIso_loc ! il y a déjà un itZonIso dans infotrac: vérifier que c'est le même
+!$OMP THREADPRIVATE(itZonIso_loc)
 character*3, ALLOCATABLE, DIMENSION(:), save :: strtrac
 !$OMP THREADPRIVATE(strtrac)
@@ -211,7 +208,6 @@
 
       use IOIPSL ! getin
-      USE infotrac_phy, ONLY: ntraciso,niso,ntraceurs_zone,index_trac
-      USE isotopes_mod, ONLY: iso_eau,ntracisoOR,initialisation_iso, &
-&               iso_eau_possible
+      USE infotrac_phy, ONLY: itZonIso
+      USE isotopes_mod, ONLY: iso_eau,ntracisoOR,initialisation_iso
       USE dimphy, only: klon,klev
 
@@ -244,7 +240,7 @@
 
         ! allouer
-        allocate (index_iso(ntraciso))
-        allocate (index_zone(ntraciso))
-        allocate (index_trac_loc(ntraceurs_zone,niso))
+        allocate (index_iso(ntiso))
+        allocate (index_zone(ntiso))
+        allocate (itZonIso_loc(ntraceurs_zone,niso))
         allocate (strtrac(ntraceurs_zone))
         allocate (bassin_map(klon))
@@ -779,5 +775,5 @@
 
           ! dans ce cas particulier, il y a des traceurs dans ORCHIDEE
-          ntracisoOR=ntraciso
+          ntracisoOR=ntiso
 
         else if ((option_traceurs.eq.17).or. &
@@ -990,6 +986,6 @@
             index_zone(itrac)=izone
             index_iso(itrac)=ixt
-            index_trac_loc(izone,ixt)=itrac
-            if (index_trac(izone,ixt).ne.index_trac_loc(izone,ixt)) then
+            itZonIso_loc(izone,ixt)=itrac
+            if (itZonIso(izone,ixt).ne.itZonIso_loc(izone,ixt)) then
                 write(*,*) 'isotrac 989: izone,ixt,itrac=',izone,ixt,itrac
                 CALL abort_physic ('isotrac','isotrac 989',1)
@@ -998,7 +994,7 @@
         enddo
 #ifdef ISOVERIF
-!        call iso_verif_egalite(float(itrac),float(ntraciso), &
+!        call iso_verif_egalite(float(itrac),float(ntiso), &
 !     &           'traceurs_init 50')
-        if (itrac.ne.ntraciso) then
+        if (itrac.ne.ntiso) then
           write(*,*) 'traceurs_init 50'
           stop
@@ -1006,7 +1002,7 @@
      
         write(*,*) 'traceurs_init 65: bilan de l''init:'
-        write(*,*) 'index_zone=',index_zone(1:ntraciso)
-        write(*,*) 'index_iso=',index_iso(1:ntraciso)
-        write(*,*) 'index_trac=',index_trac(1:ntraceurs_zone,1:niso)
+        write(*,*) 'index_zone=',index_zone(1:ntiso)
+        write(*,*) 'index_iso=',index_iso(1:ntiso)
+        write(*,*) 'itZonIso=',itZonIso(1:ntraceurs_zone,1:niso)
         do izone=1,ntraceurs_zone
           write(*,*) 'strtrac(',izone,')=',strtrac(izone)
